REM クリーン・ビルド・配置・サービスの再起動
setlocal

SET BASE_DIR=hudsontracplus
SET TARGET=0.11
SET RELVER=0.4

cd %BASE_DIR%

REM クリーン
rmdir /s /q %TARGET%\dist

REM ビルド
mkdir %TARGET%\dist
cd %TARGET%
python setup.py bdist_egg
IF ERRORLEVEL 1 GOTO BUILD_FAIL

REM 配置
easy_install.exe --always-unzip dist\HudsonTracPlus-%RELVER%-py2.5.egg
IF ERRORLEVEL 1 GOTO BUILD_FAIL

REM サービスの再起動
net stop TracLightning
net start TracLightning
IF ERRORLEVEL 1 GOTO BUILD_FAIL

:BUILD_SUCCESS
exit 0



:BUILD_FAIL

SET EXIT_CODE=%ERRORLEVEL%

REM 全部消し
rmdir /s /q dist

exit %EXIT_CODE%
